X
點擊此處開啟此網站的行動版。

技術支援討論區

I'm on a Mac Pro running version 10.6.8 (the max this computer will run) Just got shut-off from using Firefox. Any work-arounds to restore or extend service?

已張貼

Been holding out patiently for the release of the iMac Pro so I can continue to use Firefox, but today Mozilla pulled support for my dated OS (version 10.6.8). I downloaded what was supposed to be an Extended Support version of Firefox but it will not load – and looks like that's because I'd need version 10.8 or higher.

I'm between a rock and a hard place. I'm self-employed and also have an online Etsy store –but now Firefox wont even boot up.

Truly need the support of the forum folks if they know of a work-around.

Thanks in-advance for your help.

Been holding out patiently for the release of the iMac Pro so I can continue to use Firefox, but today Mozilla pulled support for my dated OS (version 10.6.8). I downloaded what was supposed to be an Extended Support version of Firefox but it will not load – and looks like that's because I'd need version 10.8 or higher. I'm between a rock and a hard place. I'm self-employed and also have an online Etsy store –but now Firefox wont even boot up. Truly need the support of the forum folks if they know of a work-around. Thanks in-advance for your help.

額外的系統細節

應用程式

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_6_8) AppleWebKit/534.59.10 (KHTML, like Gecko) Version/5.1.9 Safari/534.59.10

更多資訊

jscher2000
  • Top 10 Contributor
8838 個解決方法 72245 個答案

You can't run any current version of Firefox on MacOS X 10.6.x, but the old version should run if nothing else on the system has changed. (Unless there was a "remote kill" that I haven't heard about??)

Firefox support has ended for Mac OS X 10.6, 10.7 and 10.8

The last update for 10.6-10.8 was in the Extended Support Release of Firefox 45, in March. To install that version, you can download from this server:

https://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/en-US/

Note: That's the U.S. English build. If you need a different language/locale, please click the .. link on that page, and then choose the desired folder. If you are not sure of your preferred locale, check the address bar while you're using this site and it should be in there just after .org/ in the address.

And it goes without saying that Firefox 45 has known vulnerabilities that expose your browser to potential attack... just like your OS.

You can't run any current version of Firefox on MacOS X 10.6.x, but the old version should run if nothing else on the system has changed. (Unless there was a "remote kill" that I haven't heard about??) [[Firefox support has ended for Mac OS X 10.6, 10.7 and 10.8]] The last update for 10.6-10.8 was in the Extended Support Release of Firefox 45, in March. To install that version, you can download from this server: https://archive.mozilla.org/pub/firefox/releases/45.9.0esr/mac/en-US/ Note: That's the U.S. English build. If you need a different language/locale, please click the .. link on that page, and then choose the desired folder. If you are not sure of your preferred locale, check the address bar while you're using this site and it should be in there just after .org/ in the address. And it goes without saying that Firefox 45 has known vulnerabilities that expose your browser to potential attack... just like your OS.